Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.AddValueAction<T>

    java.lang.Object
      org.modeshape.graph.Graph.AbstractAction<T>
          org.modeshape.graph.Graph.AddValueAction<T>

All Implemented Interfaces:
  Graph.AddValue<T>, Graph.Conjunction<T>, Graph.ToName<Graph.On<T>>

Enclosing class:
  Graph

    public abstract class Graph.AddValueAction<T>

extends Graph.AbstractAction<T>
implements Graph.AddValue<T>

Field Summary
`protected List<Object>` | `values`
`protected String` | `workspaceName`

Constructor Summary
`protected` | `Graph.AddValueAction(T afterConjunction, String workspaceName, Object firstValue)`

Method Summary
`Graph.AddValue<T>` | `andValue(Object nextValue)` Specifies an additional value to be added
`protected abstract T` | `submit(String workspaceName, Location on, Name property, List<Object> values)`
`Graph.On<T>` | `to(Name name)`
`Graph.On<T>` | `to(String name)`

Methods inherited from class org.modeshape.graph.Graph.AbstractAction
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workspaceName

    protected final String workspaceName

### values

    protected final List<Object> values

Constructor Detail

### Graph.AddValueAction

    protected Graph.AddValueAction(T afterConjunction,
                                   String workspaceName,
                                   Object firstValue)

Method Detail

### andValue

    public Graph.AddValue<T> andValue(Object nextValue)

  Description copied from interface: `Graph.AddValue`
  Specifies an additional value to be added

  Specified by:
    `andValue` in interface `Graph.AddValue<T>`
  Parameters:
    `nextValue` - the value to be added
  Returns:
    an object that allows additional values to be specified for removal or for their location to be specified

### to

    public Graph.On<T> to(String name)

  Specified by:
    `to` in interface `Graph.ToName<Graph.On<T>>`

### to

    public Graph.On<T> to(Name name)

  Specified by:
    `to` in interface `Graph.ToName<Graph.On<T>>`

### submit

    protected abstract T submit(String workspaceName,
                                Location on,
                                Name property,
                                List<Object> values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.